#ifndef _AUXILIARY_H_
#define _AUXILIARY_H_


double log_2(double x);

// natural logarithm of 2-tailed p-value with respect to binomial distribution
// n: nr of samples; p: probability of success; s: nr of observed successes
// p-value = Pr( B(n,p;x) <= B(n,p;s) )
double log_pvalue(int n, double p, int s);



#endif // _AUXILIARY_H_
