#include <string.h>

class Itemset
{
public:
	Itemset(): itemset(0), len(0)
	{
		return;
	};
	
	Itemset(int *iset, int len): len(len)
	{
		itemset = new int[len];
		memcpy(itemset, iset, sizeof(int)*len);
		
		return;
	};
	
	Itemset(int *iset, int len, bool dummy): itemset(iset), len(len)
	{
		return;
	};
	
	Itemset(const Itemset & other): len(other.len)
	{
		itemset = new int[len];
		memcpy(itemset, other.itemset, sizeof(int)*len);
		
		return;
	};
	
	~Itemset(){
		delete [] itemset;
		
		return;
	};
	
	Itemset & operator=(const Itemset & other){
		delete [] itemset;
		len = other.len;
		itemset = new int[len];
		memcpy(itemset, other.itemset, sizeof(int)*len);
		
		return *this;
	};
	
	int *itemset;
	int len;
	
};
